OSHandle subclass:#OSFileHandle
	instanceVariableNames:''
	classVariableNames:'ConcreteClass'
	poolDictionaries:''
	category:'System-Support'
!


!OSFileHandle class methodsFor:'initialization'!

initialize
    "initialize for the OS we are running on"

    self initializeConcreteClass

    "
     self initialize
    "


!

initializeConcreteClass
    "initialize for the OS we are running on"

    OperatingSystem isMSDOSlike ifTrue:[
        ConcreteClass := Win32FileHandle
    ] ifFalse:[
        OperatingSystem isVMSlike ifTrue:[
            ConcreteClass := OpenVMSFileHandle
        ] ifFalse:[
            OperatingSystem isUNIXlike ifTrue:[
                ConcreteClass := UnixFileHandle
            ] ifFalse:[
                ConcreteClass := nil
            ]
        ]
    ]

    "
     self initializeConcreteClass
    "

    "Modified: 7.9.1997 / 23:32:37 / cg"


!

reinitialize
    "initialize for the OS we are running on"

    self initializeConcreteClass

    "
     self reinitialize
    "

! !

!OSFileHandle methodsFor:'finalization'!

disposed



! !

!OSFileHandle class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libbasic/OSFileHandle.st,v 1.1 1999-09-18 11:14:52 cg Exp $'
! !
OSFileHandle initialize!
